MP3 library
-----------
Version 0.2a

--some modifications made by Glen Sawyer for use with MP3Gain.
--In particular, I changed it so that these routines pass back
--the raw double decoded values instead of rounding (and clipping)
--them to 16-bit integers.

This decoder is a 'light' version (thrown out all unnecessay parts)
from the mpg123 package. I made this for a company.

Currently only Layer3 is enabled to save some space. Layer1,2 isn't
tested at all. The interface will not change significantly. 
A backport to the mpg123 package is planed.

compiled and tested only on Solaris 2.6
main.c contains a simple demo application for library.

COPYING: you may use this source under LGPL terms! 
  (Yes, I switched to LGPL for the _mpglib_ part!)

PLEASE NOTE: This software may contain patented algorithms (at least
  patented in some countries). It may be not allowed to sell/use products
  based on this source code in these countries. Check this out first!

COPYRIGHT of MP3 music:
  Please note, that the duplicating of copyrighted music without explicit
  permission violates the rights of the owner.

SENDING PATCHES:
  The current version is under LGPL. Please consider this when sending patches or 
  changes. I also want to have the freedom to sell the code to companies that
  cannot or do not want to use the code under LGPL. So, if you send me 
  significant patches, I need your explicit permission to do this. Of course, 
  there will always be the LGPLed open source version of the 100% same code.
  In the case you cannot accept this: the code is free, it's your freedom 
  to distribute your changes again under LGPL. 

FEEDBACK:
  I'm interessted to here from you, when you use this package as part
  of another project.


